
!
!                                                                       
! MEMOEDIT.MOD                                                          
! Module definitions for MEMOEDIT                                       
!                                                                       
! Revision  : 1                                                         
!                                                                       
! Copyright : Bobcat Systems (c) 1994                                   
! Author    : Robert J. Pupazzoni, Bobcat Systems                       
!                                                                       
! Compiler  : Clarion Database Developer 3.0, Batch 3006                
!                                                                       
! REVISION HISTORY                                                      
!   1 Created                                                           
!                                                                       
!

    MODULE('MEBLOCK')                            ! Block operations:
      ME_NormBlock()                             !   Normalize block
      ME_MarkOn()                                !   Turn block marking on
      ME_MarkOff()                               !   Turn block marking off
      ME_Copy2Clip()                             !   Copy block to clipboard
      ME_Cut2Clip()                              !   Cut block to clipboard
      ME_PasteClip()                             !   Paste clipboard
    .
    MODULE('MECORE')                             ! Core editing operations:
      ME_GetChar( USHORT ),BYTE                  !   Get character from buffer
      ME_PutChar( USHORT, BYTE )                 !   Put character to buffer
      ME_GetBlock( *STRING, USHORT, USHORT )     !   Get block from buffer
      ME_InsTxt( USHORT, USHORT, STRING )        !   Insert text into buffer
      ME_DelTxt( USHORT, USHORT )                !   Delete text from buffer
    .
    MODULE('MEDELETE')                           ! Deletion operations:
      ME_DelChar()                               !   Delete character
      ME_DelEOL()                                !   Delete to end-of line
      ME_DelLine()                               !   Delete entire line
    .
    MODULE('MEDONE')                             ! Clean-up and termination:
      ME_Done()                                  !   Free mem / restore context
    .
    MODULE('MEEDIT')                             ! Main edit loop:
      ME_BufrFull(), BYTE                        !   Check for buffer full
      ME_Edit()                                  !   Edit current document
    .
    MODULE('MEFILE')                             ! File operations:
      ME_PickFile( STRING ),STRING               !   File/directory picklist
      ME_PasteFile()                             !   Paste file
      ME_Copy2File()                             !   Copy marked block to file
      ME_EditFile( STRING, <USHORT> )            !   Edit file
    .
    MODULE('MEINIT')                             ! Initialization:
      ME_InitMemo( *STRING[] )                   !   Allocate and init context
    .
    MODULE('MELINTBL')                           ! Line table access:
      ME_AdjLines( USHORT, USHORT )              !   Adjust line pointers
      ME_LineIndex( USHORT ),USHORT              !   Find line index
      ME_LineStart( USHORT ),USHORT              !   Find line start
      ME_LineEnd( USHORT ),USHORT                !   Find line end
    .
    MODULE('MEPACK')                             ! Memo packing/unpacking:
      ME_Pack( *STRING[], <BYTE> )               !  Pack memo
      ME_Unpack( *STRING[], USHORT )             !  Unpack memo
    .
    MODULE('MEREFORM')                           ! Reformatting:
      ME_LineBreak( USHORT, USHORT ),USHORT      !   Calculate line break
      ME_ReformDoc()                             !   Reformat document
      ME_ReformPar( USHORT )                     !   Reformat paragraph
    .
    MODULE('MESCRDEF')                           ! Screen defaults:
      ME_ScrnDefs( BYTE, BYTE, BYTE, BYTE )      !   Set screen defaults
    .
    MODULE('MESCREEN')                           ! Screen access:
      ME_SetPage()                               !   Invalidate display page
      ME_ShowPage()                              !   Refresh display
      ME_CurPos()                                !   Position cursor
      ME_CurSize( BYTE )                         !   Set cursor size
    .
    MODULE('MEUTIL')                             ! Miscellanous:
      IsAlerted( SHORT ),BYTE                    !   See if key is ALERTed
      UnAlert( SHORT, SHORT )                    !   UnALERT a key
      ME_Max( LONG, LONG ),LONG                  !   Larger of 2 integers
      ME_Min( LONG, LONG ),LONG                  !   Smaller of 2 integers
      ME_Entry( STRING ),STRING                  !   String input dialog
      ME_Confirm( STRING, <BYTE> ),BYTE          !   Confirmation dialog
    .
    MODULE('MEWORD')                             ! Word movement:
      ME_WordLeft( SHORT  ),SHORT                !   Move to previous word
      ME_WordRight( SHORT ),SHORT                !   Move to next word
    .

